//  SceneryObject-GL.hpp
//
//  This abstract class provides a consistent interface
//  for communicating with different scenery objects.

#pragma once

#include "Macros-GL.h"


class CSceneryObject
{
public:

                    CSceneryObject(void);
    virtual         ~CSceneryObject(void) {};

    //  Set itsPosition to a matrix consistent with the current SpaceType.
            void    SetPosition(Matrix *aPosition);

    //  A SceneryObject may have internal parts that need
    //  to be kept moving.  anElapsedTime tells it how many
    //  seconds have passed since the previous Update().
    virtual void    Update(double anElapsedTime) {};

    //  Render the SceneryObject.
    virtual void    Render(void) = 0;

protected:
    Matrix          itsPosition;
};

